function [f_out, met1_out, l2w] = mixMetRelabBennuAvg(data)

[datar,info,infoall] = readmixtv();
dummy = load('/home/marcel/Documents/Osirisrex/Relab/Comparisons/LinearCombineBennuAvg.bin');
%datar = [idx_f, idx_group1, r_w1, r_w2, r_w3, r_w4];
datar = dummy.dataall;dummy = []; N = size(datar,1);
lsq_diff = sqrt(sum((datar(:,3:6) - repmat(data(:)',N,1)).^2,2));
[coef1,idx1] = sort(lsq_diff);

l2w = 'Ratio1 & Sample1 & lsq_err';
f = 0:0.01:0.5;
w = [0.437, 0.550, 0.701, 0.853];
n=10;
f_out = f(datar(idx1(1:n),1));
figure(1)
plot(w,data, '-*k');
hold on
for i = 1 : n
    met1_out{i} = infoall{datar(idx1(i),2)};
    l2w = [l2w, sprintf("\n%.2f&%s&%.5f", f_out(i), met1_out{i}, coef1(i))];
    ref = datar(idx1(i),3:6);
    if i<4
        plot(w,ref', '-+',"Linewidth", 2);
    end
end
plot(w,data, '-*k', "Linewidth", 3);
xlim([0.4,1.2]);
legend('Data', 'Match 1', 'Match 2', 'Match 3');
hold off
