function [f_out, met1_out, met2_out, l2w] = mixMetRelabAverages(data)

fid = fopen('/home/marcel/Documents/Osirisrex/Relab/AverageSpectra/Names.lst','r');
k=1;
while ~feof(fid)
    infoall{k} = strtrim(fgetl(fid));
    k+=1;
end
fclose(fid);



dummy = load('/home/marcel/Documents/Osirisrex/Relab/AverageSpectra/LinearCombine.bin');
%datar = [idx_f, idx_group1, idx_group_2, r_w1, r_w2, r_w3, r_w4];
datar = dummy.dataall;dummy = []; N = size(datar,1);
lsq_diff = sqrt(sum((datar(:,4:7) - repmat(data(:)',N,1)).^2,2));
[coef1,idx1] = sort(lsq_diff);

l2w = 'Ratio1 & Sample1 & Ratio2 & Sample2 & lsq_err';
f = 0:0.01:0.5;
w = [0.437, 0.550, 0.701, 0.853];
n=10;
f_out = f(datar(idx1(1:n),1));
figure(1)
plot(w,data, '-*k');
hold on
for i = 1 : n
    met1_out{i} = infoall{datar(idx1(i),2)};
    met2_out{i} = infoall{datar(idx1(i),3)};
    l2w = [l2w, sprintf("\n%.2f&%s&%.2f&%s&%.5f", f_out(i), met1_out{i},(1-f_out(i)),  met2_out{i}, coef1(i))];
    ref = f_out(i) * datar(datar(idx1(i),2),4:7) + (1-f_out(i)) * datar(datar(idx1(i),3),4:7);
    if i<4
        plot(w,ref', '-+',"Linewidth", 2);
    end
end
plot(w,data, '-*k', "Linewidth", 3);
xlim([0.4,1]);
legend('Data', 'Match 1', 'Match 2', 'Match 3');
hold off
